#include <stddef.h>

#include "multiboot.h"

multiboot_info* grub_boot_struct_ptr = NULL;

extern char __kernel_start;
extern char __kernel_end;
size_t kernel_size() {
    return (size_t)(&__kernel_end - &__kernel_start);
}